Bug 139717 - Spacing between footnote number and text should be fixed. A single backspace should remove it
Summary: Spacing between footnote number and text should be fixed. A single backspace ...
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2021-01-17 19:40 UTC by Telesto
Modified: 2021-02-11 14:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (8.60 KB, application/vnd.oasis.opendocument.text)
2021-01-17 19:40 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-17 19:40:14 UTC
Description:
Spacing between footnote number and text should be fixed. A single backspace should remove it

Steps to Reproduce:
1. Open the attached file
2. Place cursor in footnote (text) after "C"
3. Press backspace 2x

Actual Results:
Cursor directly after numbering

Expected Results:
Second backspace should be ignored. Yes, it can be resolved but undo.. but this this really OK?


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: f2171af6ce3516598d9f8bac8294025a21a5b1a2
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-01-17 19:40:27 UTC
Created attachment 168961 [details]
Example file
Comment 2 Heiko Tietze 2021-01-20 12:10:01 UTC
The paragraph style "Footnote" has an indentation for the first line in order to achieve a distance to the number. With backspace you "clear" this indentation, same happens in other paragraphs too, which is understood as a convenience feature. Pretty sure we had this before... Cor, Stuart, Mike: Your take?
Comment 3 Telesto 2021-01-20 12:34:30 UTC
(In reply to Heiko Tietze from comment #2)
> The paragraph style "Footnote" has an indentation for the first line in
> order to achieve a distance to the number. With backspace you "clear" this
> indentation, same happens in other paragraphs too, which is understood as a
> convenience feature. Pretty sure we had this before... Cor, Stuart, Mike:
> Your take?

Hmmm.. will look back.. It might be me.. What's the case where you want to 'ignore' the spacing. Idea of style to produce consistency?

For me it's more, argue.. hold on backspace to long again..
Comment 4 Heiko Tietze 2021-02-11 14:52:23 UTC
Had this topic at the design meeting. The idea has not got support, the behavior is by-design.